.player_stage-wrapper {
    display: flex;
    flex-direction: column;
    width: fit-content;
    position: relative;
    overflow: hidden;
}

.player_stage-wrapper.fullscreen {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    z-index: 1000;
    align-items: center;
    justify-content: center;
    background: white;
}

.player_stage-wrapper.fullscreen .player_stage-canvas {
    height: calc(100% - 50px);
    width: fit-content;
}
.player_stage-wrapper.fullscreen .player_stage-header {
    width: calc((100vh - 50px) / 3 * 4);
    max-width: 100%;
    align-self: center;
}

.player_stage-wrapper * {
    box-sizing: border-box;
}

.player_stage-canvas {
    position: relative;
    width: 480px;
    max-width: calc(100vw - 1rem);
    aspect-ratio: 4 / 3;
    overflow: hidden;
    border-radius: 8px;
    border: 1px solid hsla(0, 0%, 0%, 0.15);
    box-sizing: content-box;
}

.player_stage-green-flag-overlay-wrapper {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgba(0, 0, 0, 0.25);
    pointer-events: all;
    cursor: pointer;
    z-index: 10;
}

.player_stage-green-flag-overlay {
    padding: 1rem;
    border-radius: 100%;
    background: rgba(255, 255, 255, 0.75);
    border: 3px solid hsla(0, 100%, 100%, 1);
    display: flex;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
    width: 5rem;
    height: 5rem;
}

.player_stage-header {
    display: flex;
    align-self: stretch;
    justify-content: space-between;
    height: 44px;
    user-select: none;
}

.player_stage-header > * {
    display: flex;
    align-items: center;
    justify-content: center;
}

.player_stage-header button[data-player-control] {
    width: 32px;
    height: 32px;
    border-radius: 4px;
    border: none;
    background: none;
    padding: 6px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
}
.player_stage-header button[data-player-control]:hover {
    background: #4c97ff26;
}
.player_stage-header button[data-player-control].inactive {
    opacity: 0.5;
}
.player_stage-header button[data-player-control].active {
    background: #4c97ff59;
}
.player_stage-header button[data-player-control] > img {
    height: 20px;
    width: 20px;
    object-fit: contain;
}

.player_stage-header button[data-player-control="fullscreen"] {
    border: 1px solid hsla(0, 0%, 0%, 0.15);
    width: 34px;
    height: 34px;
    background: hsla(0, 100%, 100%, 1);
}

.player_volume-slider {
    position: relative;
    width: 20px;
    height: 32px;
    box-sizing: content-box;
    display: flex;
    padding-left: 4px;
    padding-right: 4px;
}

.player_stage-header .player_volume-slider > button {
    left: 4px;
    position: absolute;
    top: 0;
    width: unset;
    height: 100%;
    display: flex;
    align-items: center;
    padding: 0;
}
.player_stage-header .player_volume-slider > button:hover {
    background: none;
}

.player_volume-slider:not(:hover) > .player_volume-slider-input {
    margin-left: -3px;
    opacity: 0;
    width: 0;
}
.player_volume-slider-input {
    margin-left: 3px;
    -webkit-appearance: none;
    appearance: none;
    width: 50px;
    height: 6px;
    border-radius: 3px;
    background-color: #de91de;
    transition: all 0.25s ease;
    position: absolute;
    left: 24px;
    top: 13px;
}


.sc-canvas {
    top: 0;
    left: 0;
}


.player_loader-background {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 500;
    background-color: #4c97ff;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    font-family: sans-serif;
}
.player_loader-background > div {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.player_loader-title {
    font-size: 2rem;
    font-weight: bold;
    margin: 0.75rem 0;
}

.player_loader-desc {
    margin: 5px 0;
    height: 20px;
}

.player_loader-desc-progress-bar-outer {
    margin: auto;
    width: 250px;
    height: 8px;
    position: relative;
}

.player_loader-progress-bar-background {
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: currentColor;
    opacity: 0.25;
    border-radius: 8px;
}

.player_loader-progress-bar-inner {
    position: absolute;
    width: 0;
    height: 100%;
    background-color: currentColor;
    border-radius: 8px;
}

.player_loader-block-animation {
    width: 125px;
    height: 150px;
    margin: 50px auto 0px;
}
.player_loader-block-animation > img {
    display: block;
    position: relative;
    height: 30%;
    margin-top: -4px;
}

.player_loader-block-animation .loader_top-block {
    animation: loader_top-slide-in_3x-Z7 1.5s ease infinite;
}
.player_loader-block-animation .loader_middle-block {
    animation: loader_middle-slide-in_3x-Z7 1.5s ease infinite;
}
.player_loader-block-animation .loader_bottom-block {
    animation: loader_bottom-slide-in_3x-Z7 1.5s ease infinite;
}

@keyframes loader_top-slide-in_3x-Z7 {
    0% {
        transform: translateY(50px);
        opacity: 0;
    }
    33% {
        transform: translateY(0px);
        opacity: 1;
    }
}

@keyframes loader_middle-slide-in_3x-Z7 {
    0% {
        transform: translateY(50px);
        opacity: 0;
    }
    33% {
        transform: translateY(50px);
        opacity: 0;
    }
    66% {
        transform: translateY(0px);
        opacity: 1;
    }
}

@keyframes loader_bottom-slide-in_3x-Z7 {
    0% {
        transform: translateY(50px);
        opacity: 0;
    }
    66% {
        transform: translateY(50px);
        opacity: 0;
    }
    100% {
        transform: translateY(0px);
        opacity: 1;
    }
}